<?php session_start();?>
<?php
include ('php_gene1.php');
$pnumruc=substr($_POST['pnumero'],0,10).'001';
get_ruc0($pnumruc);

// return get_ruc1($pnumruc);
return;

?>

<?php


$pnumruc=substr($_POST['pnumero'],0,10).'001';
$url = 'https://declaraciones.sri.gob.ec/facturacion-internet/consultas/publico/ruc-datos2.jspa?ruc='.$pnumruc;

{
$page = file_get_contents($url);
// echo $url;
// echo $page;

if(mb_stristr($page,$pnumruc))
{
  require('../cfg/cfg.php');
  require('../cfg/res.php');
  include('../_cfg/config.php');
  include('php_gene1.php');
	
//   echo $page;
	$sql_ruc1='insert into enti0(enti_codigo,enti_descri,enti_status,enti_idate)value("'.$pnumruc.'","NUEVO RUC","-",now())';
// 	echo $sql_ruc1;
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);
// 	explain_sql($sql_ruc1);
  
  $page2=$page;
  $page2=substr($page2,strpos($page2,"Social:"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xrazsoc=substr($page2,0,strpos($page2,"</td>"));
	$xrazsoc=str_replace('"','-',$xrazsoc);

  $page2=$page;
  $page2=substr($page2,strpos($page2,"Comercial:"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xnomcom=substr($page2,0,strpos($page2,"</td>"));

  $page2=$page;
  $page2=substr($page2,strpos($page2,"Estado del Contribuyente en el RUC"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xstruc=substr($page2,0,strpos($page2,"</td>"));

  $page2=$page;
  $page2=substr($page2,strpos($page2,"Clase de Contribuyente"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xclase=substr($page2,0,strpos($page2,"</td>"));
	if(mb_stristr($xclase,'Especial')){$xcesp='1';}else{$xcesp='0';}
	if(mb_stristr($xclase,'Simplificado')){$xrise='1';}else{$xrise='0';}
		
  $page2=$page;
  $page2=substr($page2,strpos($page2,"Tipo de Contribuyente"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xtipo=substr($page2,0,strpos($page2,"</td>"));
// 	if(mb_stristr($xclase,'Especial')){$xcesp='1';}else{$xcesp='0';}
		
  $page2=$page;
  $page2=substr($page2,strpos($page2,"Actividad Econ"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xacti=substr($page2,0,strpos($page2,"</td>"));

  $page2=$page;
  $page2=substr($page2,strpos($page2,"Fecha de inicio"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xfecha1=substr($page2,0,strpos($page2,"</td>"));
	$xfecha1=trim($xfecha1);
	$xfecha1=substr($xfecha1,6,4).substr($xfecha1,3,2).substr($xfecha1,0,2);
	
  $page2=$page;
  $page2=substr($page2,strpos($page2,"Contabilidad"),250);
  $page2=substr($page2,strpos($page2,"<td>")+4,250);
  $xcontab=substr($page2,0,strpos($page2,"</td>"));
	if(mb_stristr($xcontab,'SI')){$xcontab='1';}else{$xcontab='0';}

	
//   $page2=$page;
//   $page2=substr($page2,strpos($page2,"apellidos"),250);
//   $page2=substr($page2,strpos($page2,':')+2,250);
// 	$xape12=strtoupper(substr($page2,0,strpos($page2,'"')));
	
	
 	$sql_ruc1='update enti0 set enti_razsoc="'.$xrazsoc.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_descri="'.$xrazsoc.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_nomcom="'.$xnomcom.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_fechaini="'.$xfecha1.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);
// 	echo $sql_ruc1;

	$sql_ruc1='update enti0 set enti_actividad="'.$xacti.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_struc="'.$xstruc.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_prise="'.$xrise.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_pcesp="'.$xcesp.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_pcont="'.$xcontab.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_rise="'.$xrise.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_obcon="'.$xcontab.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_coesp="'.$xcesp.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	if (substr($xtipo,0,1)=='P')
	{	
	$apenom=$xrazsoc;	
	$xape1=substr($apenom,0,strpos($apenom,' '));
		
	$apenom=substr($apenom,strpos($apenom,' ')+1,1000);
	$xape2=substr($apenom,0,strpos($apenom,' '));

	$apenom=substr($apenom,strpos($apenom,' ')+1,1000);
	$xnom1=substr($apenom,0,strpos($apenom,' '));

	$apenom=substr($apenom,strpos($apenom,' ')+1,1000);
// 	$xnom2=substr($apenom,0,strpos($apenom,' '));
	$xnom2=$apenom;	

	$sql_ruc1='update enti0 set enti_ape1="'.$xape1.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);
	
	$sql_ruc1='update enti0 set enti_ape2="'.$xape2.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_nom1="'.$xnom1.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);

	$sql_ruc1='update enti0 set enti_nom2="'.$xnom2.'" where enti_codigo like "'.substr($pnumruc,0,10).'%"';
	$res_ruc1=mysql_query($sql_ruc1,$link_vcrx);
	
	}


}

// aqui insertar en enti
}

?>

